package com.ics.admin.service.meeting;

import com.ics.admin.domain.meeting.RoomServe;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * 服务Service接口
 * 
 * @author chen
 * @date 2024-02-25
 */
public interface IRoomServeService extends IService<RoomServe> {
    /**
     * 查询服务
     * 
     * @param id 服务ID
     * @return 服务
     */
    RoomServe selectRoomServeById(Long id);

    /**
     * 查询服务列表
     * 
     * @param roomServe 服务
     * @return 服务集合
     */
    List<RoomServe> selectRoomServeList(RoomServe roomServe);

    /**
     * 新增服务
     * 
     * @param roomServe 服务
     * @return 结果
     */
    int insertRoomServe(RoomServe roomServe);

    /**
     * 修改服务
     * 
     * @param roomServe 服务
     * @return 结果
     */
    int updateRoomServe(RoomServe roomServe);

    /**
     * 批量删除服务
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteRoomServeByIds(String ids);

    /**
     * 删除服务信息
     * 
     * @param id 服务ID
     * @return 结果
     */
    int deleteRoomServeById(Long id);
}
